Bug 1281488 - [abrt] gnome-calculator: _g_log_abort(): gnome-calculator-search-provider killed by SIGTRAP
[abrt] gnome-calculator: _g_log_abort(): gnome-calculator-search-provider kil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-calculator (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fa4c0f78741243a24eba7d3ee93...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 11:06 EST by Christian Stadelmann
Modified: 2016-12-20 10:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:44:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.55 KB, text/plain)
2015-11-12 11:06 EST, Christian Stadelmann
no flags Details
File: core_backtrace (3.65 KB, text/plain)
2015-11-12 11:06 EST, Christian Stadelmann
no flags Details
File: dso_list (1.44 KB, text/plain)
2015-11-12 11:06 EST, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-12 11:06 EST, Christian Stadelmann
no flags Details
File: maps (7.01 KB, text/plain)
2015-11-12 11:06 EST, Christian Stadelmann
no flags Details
File: open_fds (456 bytes, text/plain)
2015-11-12 11:06 EST, Christian Stadelmann
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-11-12 11:06 EST, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2015-11-12 11:06:40 EST
Description of problem:
I killed the gnome-calculator subprocess of gnome-calculator-search-provider, because it ran at 100% CPU on one core.

Version-Release number of selected component:
gnome-calculator-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-calculator-search-provider
crash_function: _g_log_abort
executable:     /usr/libexec/gnome-calculator-search-provider
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:324
 #3 search_provider_can_parse at search-provider.c:663
 #4 search_provider_get_result_identifier at search-provider.c:698
 #5 search_provider_get_initial_result_set at search-provider.c:768
 #6 _dbus_search_provider_get_initial_result_set at search-provider.c:1181
 #7 call_in_idle_cb at gdbusconnection.c:4832
 #11 g_main_context_iteration at gmain.c:3901
 #12 g_application_run at gapplication.c:2311
 #13 _vala_main at search-provider.c:1629
 #15 _start

Potential duplicate: bug 1226287
Comment 1 Christian Stadelmann 2015-11-12 11:06:44 EST
Created attachment 1093377 [details]
File: backtrace
Comment 2 Christian Stadelmann 2015-11-12 11:06:46 EST
Created attachment 1093378 [details]
File: core_backtrace
Comment 3 Christian Stadelmann 2015-11-12 11:06:47 EST
Created attachment 1093379 [details]
File: dso_list
Comment 4 Christian Stadelmann 2015-11-12 11:06:48 EST
Created attachment 1093380 [details]
File: limits
Comment 5 Christian Stadelmann 2015-11-12 11:06:50 EST
Created attachment 1093381 [details]
File: maps
Comment 6 Christian Stadelmann 2015-11-12 11:06:51 EST
Created attachment 1093382 [details]
File: open_fds
Comment 7 Christian Stadelmann 2015-11-12 11:06:52 EST
Created attachment 1093383 [details]
File: proc_pid_status
Comment 8 Fedora End Of Life 2016-11-24 08:21:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 10:44:38 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.